/* $Id: sweaver_plugin_styles.js,v 1.1.2.3 2010/09/13 21:34:49 swentel Exp $ */

/**
 * @file
 * Styles javascript to hide/show radio buttons and/or fieldsets and
 * adding a confirmation popup when deleting a style.
 */

Drupal.behaviors.StylesSave = function(context) {
  $("#sweaver_plugin_styles select.radio-save-type").change(function() {
    var radio_save_type = $("#sweaver select.radio-save-type option:selected").val();
    if (radio_save_type == 1) {
      $('#sweaver .styles-draft-type').hide();
    }
    else {
      $('#sweaver .styles-draft-type').show();
    }
  });

  $("#sweaver_plugin_styles select.radio-style-save-type").change(function() {
    var radio_style_save_type = $("#sweaver select.radio-style-save-type option:selected").val();
    if (radio_style_save_type == 1) {
      $('#edit-new-style-name').hide();
      $('#edit-existing-style-id').show();
    }
    else {
      $('#edit-new-style-name').show();
      $('#edit-existing-style-id').hide();
    }
  });
  
  $("#sweaver_plugin_styles #edit-delete-submit").click(function() {
    return confirm(Drupal.t('Are you sure you want to delete the style ?'));
    return false;
  });
}